
Foreman - Bug #6895

foreman updates ovirt host setting incorrectly

08/03/2014 08:39 AM - Ohad Levy

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when an ovirt provisioned host finish its initial deployment, when finishing boot, it notifies foreman and foreman tries to update ovirt

itself.

unattended: demo1.sat.lab.tlv.redhat.com is Built!

Update Compute instance for demo1.box.com

Failed to update a compute demo (RHEV) instance demo1.box.com: Network interface is already in use

./opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.26/lib/rbovirt.rb:180:in `handle_fault'

/opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.26/lib/rbovirt.rb:114:in `rescue in http_post

'

/opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.26/lib/rbovirt.rb:111:in `http_post'

/opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.26/lib/client/vm_api.rb:54:in `add_interface'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.21.0/lib/fog/ovirt/requests/compute/add_interface.r

b:9:in `add_interface'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.21.0/lib/fog/ovirt/models/compute/server.rb:57:in `

add_interface'

/usr/share/foreman/app/models/compute_resources/foreman/model/ovirt.rb:319:in `block in update_int

erfaces'

/usr/share/foreman/app/models/compute_resources/foreman/model/ovirt.rb:317:in `each'

/usr/share/foreman/app/models/compute_resources/foreman/model/ovirt.rb:317:in `update_interfaces'

/usr/share/foreman/app/models/compute_resources/foreman/model/ovirt.rb:172:in `save_vm'

/usr/share/foreman/app/models/concerns/orchestration/compute.rb:167:in `setComputeUpdate'

/usr/share/foreman/app/models/concerns/orchestration.rb:137:in `execute'

/usr/share/foreman/app/models/concerns/orchestration.rb:85:in `block in process'

/usr/share/foreman/app/models/concerns/orchestration.rb:77:in `each'

/usr/share/foreman/app/models/concerns/orchestration.rb:77:in `process'

/usr/share/foreman/app/models/concerns/orchestration.rb:18:in `on_save'

Related issues:

Is duplicate of Foreman - Bug #4375: Kickstart provisioning is on a loop when... Closed 02/18/2014

History

#1 - 08/03/2014 08:39 AM - Ohad Levy

- Category set to Compute resources - oVirt

#2 - 08/04/2014 03:08 AM - Dominic Cleal

- Is duplicate of Bug #4375: Kickstart provisioning is on a loop when using compute profiles with ovirt Compute Resource. added

#3 - 08/04/2014 03:08 AM - Dominic Cleal

- Status changed from New to Duplicate
